<?
// ###################################################################################
//
//   createdb.php
//
//   Copyright (c) 2000-2005 InterBank(ANGELPAY) Co. LTD.
//   All rights reserved.
//  ------------------------------------------------------------------------------
//   최종 수정일 : 2002.08.29
//
// ###################################################################################
//
//                           ANGELPAY_DIRECT 테이블 생성
//
// ###################################################################################

include "./config.php";
include "./mysql_function.php";
include "./log.php";

//-------------------------
// Create Table
//-------------------------

Function CreateTable()
{
	global $TABLE_ANGELPAY;
	
	$strQuery ="";	
	$strQuery  = "Create Table $TABLE_ANGELPAY (";
	$strQuery .= "             ORDER_DATE		char(8) 	NOT NULL , ";
	$strQuery .= "             SEQUENCE_NO 		char(8) 	NOT NULL , ";
	$strQuery .= "             MSG_TYPE_CD 		char(2) , ";
	$strQuery .= "             ORDER_TIME 		char(6) , ";
	$strQuery .= "             ORDER_NO 		varchar(100) , ";
	$strQuery .= "             AMOUNT 		char(10) , ";
	$strQuery .= "             APPROVAL_NO 		varchar(8) , ";
	$strQuery .= "             APPROVAL_TIME 	varchar(15) , ";
	$strQuery .= "             ACQUIRE_CODE 	varchar(3) , ";
	$strQuery .= "             ACQUIRE_NAME 	varchar(14) , ";
	$strQuery .= "             CARD_ISSUER 		varchar(30) , ";
	$strQuery .= "             MEMBER_NO 		varchar(6) , ";
	$strQuery .= "             INSTALLMENT_MM 	varchar(2) , ";
	$strQuery .= "             RESULT_CODE 		varchar(4) , ";
	$strQuery .= "             RESULT_MSG 		varchar(64) , ";
	$strQuery .= "             CANCEL_DATE 		varchar(15) , ";
	$strQuery .= "             SHIPPED_DATE 	varchar(15) , ";
	$strQuery .= "             STATUS_FLAG 		varchar(2) , ";
	$strQuery .= "             TRAN_DATE 		char(8) , ";
	$strQuery .= "             TRAN_SEQ 		char(8) , ";
	$strQuery .= "             USERID 		char(6) , ";
	$strQuery .= "             INSTALL_GB 		varchar(2), ";
	$strQuery .= "             PRIMARY KEY (ORDER_DATE, SEQUENCE_NO) ";
	$strQuery .= "             )";
	
	$result = FncQuery ($strQuery);
	
	return $result;
	
	
		

}


//----------------------------
// Main
//----------------------------
$htmlHead = "<HTML><HEAD></HEAD><BODY><CENTER><BR><BR>";
$htmlTail = "</CENTER></BODY></HTML>";


if ( !strcmp($CreateDB, "OK" ) )
{
	
	
	$result = CreateTable();
	
	if ( $result)
	{
		echo $htmlHead;
		echo "$TABLE_ANGELPAY 생성에 성공하였습니다!!!<br>";
		echo "$TABLE_ANGELPAY 을 보시려면 <a href='./view.php'>여기</a>를 클릭하십시요.<br>";
		echo $htmlTail;
	}
	else
	{
		echo $htmlHead;
		echo "$TABLE_ANGELPAY 생성에 실패했습니다.<br>\n";
		echo "$TABLE_ANGELPAY 가 이미 존재하는지 <a href='./view.php'>여기</a>를 클릭하여 확인하십시오.<br>\n";
		echo "이동될 페이지에서 필드명이 정상적으로 나온다면 이미 생성된 것입니다.<br>\n";
		echo "만약 테이블이 존재하지 않는데도 본 메세지가 나온다면 <br>\n";
		echo "config.php파일을 열어 DB연결에 필요한 계정이 올바로 설정되어 있는지 확인하십시오.<br>\n";
		echo "<a href='javascript:history.back();'>돌아가기</a>";
		echo $htmlTail;
	}
}

else 
{
	echo $htmlHead;
	echo "\n$TABLE_ANGELPAY 테이블 생성 스크립트 입니다. <br>\n";
	echo "테이블 생성을 원하시면 <a href='./createdb.php?CreateDB=OK'>여기</a>를 클릭하시기 바랍니다.<br>\n";
	echo $htmlTail;
}
?>                                             
	                                        
                                                
                                                
                                                
                                                